#include "Jester.h"
#include "Global.h"
#include <fstream>
using namespace std;

bool GameInit()
{
	// Fonts
	for(int i = 0; i < 33; i++)
	{
		g_FontID[i] = Jester->CreateSprite("Font.bmp", 7, 40, 15, 49);if(Jester->Failed())return false;
		g_FontWhiteID[i] = Jester->CreateSprite("Font.bmp", 7, 40, 15, 49);if(Jester->Failed())return false;
	}

	g_FontWhiteID[33] = Jester->CreateSprite("Font.bmp", 0, 50, 7, 59);if(Jester->Failed())return false;
	g_FontWhiteID[34] = Jester->CreateSprite("Font.bmp", 8, 50, 15, 59);if(Jester->Failed())return false;
	g_FontWhiteID[35] = Jester->CreateSprite("Font.bmp", 16, 50, 23, 59);if(Jester->Failed())return false;
	g_FontWhiteID[36] = Jester->CreateSprite("Font.bmp", 24, 50, 31, 59);if(Jester->Failed())return false;
	g_FontWhiteID[37] = Jester->CreateSprite("Font.bmp", 32, 50, 39, 59);if(Jester->Failed())return false;
	g_FontWhiteID[38] = Jester->CreateSprite("Font.bmp", 40, 50, 47, 59);if(Jester->Failed())return false;
	g_FontWhiteID[39] = Jester->CreateSprite("Font.bmp", 48, 50, 55, 59);if(Jester->Failed())return false;
	g_FontWhiteID[40] = Jester->CreateSprite("Font.bmp", 56, 50, 63, 59);if(Jester->Failed())return false;
	g_FontWhiteID[41] = Jester->CreateSprite("Font.bmp", 64, 50, 71, 59);if(Jester->Failed())return false;
	g_FontWhiteID[42] = Jester->CreateSprite("Font.bmp", 72, 50, 79, 59);if(Jester->Failed())return false;
	g_FontWhiteID[43] = Jester->CreateSprite("Font.bmp", 80, 50, 87, 59);if(Jester->Failed())return false;
	g_FontWhiteID[44] = Jester->CreateSprite("Font.bmp", 88, 50, 95, 59);if(Jester->Failed())return false;
	g_FontWhiteID[45] = Jester->CreateSprite("Font.bmp", 96, 50, 103,59);if(Jester->Failed())return false;
	g_FontWhiteID[46] = Jester->CreateSprite("Font.bmp", 104, 0, 111, 59);if(Jester->Failed())return false;
	g_FontWhiteID[47] = Jester->CreateSprite("Font.bmp", 112, 0,119, 59);if(Jester->Failed())return false;
	g_FontWhiteID[48] = Jester->CreateSprite("Font.bmp", 120, 0, 127, 59);if(Jester->Failed())return false;
	g_FontWhiteID[49] = Jester->CreateSprite("Font.bmp", 0, 60, 7, 69);if(Jester->Failed())return false;
	g_FontWhiteID[50] = Jester->CreateSprite("Font.bmp", 8, 60, 15, 69);if(Jester->Failed())return false;
	g_FontWhiteID[51] = Jester->CreateSprite("Font.bmp", 16, 60, 23, 69);if(Jester->Failed())return false;
	g_FontWhiteID[52] = Jester->CreateSprite("Font.bmp", 24, 60, 31, 69);if(Jester->Failed())return false;
	g_FontWhiteID[53] = Jester->CreateSprite("Font.bmp", 32, 60, 39, 69);if(Jester->Failed())return false;
	g_FontWhiteID[54] = Jester->CreateSprite("Font.bmp", 40, 60, 47, 69);if(Jester->Failed())return false;
	g_FontWhiteID[55] = Jester->CreateSprite("Font.bmp", 48, 60, 55, 69);if(Jester->Failed())return false;
	g_FontWhiteID[56] = Jester->CreateSprite("Font.bmp", 56, 60, 63, 69);if(Jester->Failed())return false;
	g_FontWhiteID[57] = Jester->CreateSprite("Font.bmp", 64, 60, 71, 69);if(Jester->Failed())return false;
	g_FontWhiteID[58] = Jester->CreateSprite("Font.bmp", 72, 60, 79, 69);if(Jester->Failed())return false;
	g_FontWhiteID[59] = Jester->CreateSprite("Font.bmp", 80, 60, 87, 69);if(Jester->Failed())return false;
	g_FontWhiteID[60] = Jester->CreateSprite("Font.bmp", 88, 60, 95, 69);if(Jester->Failed())return false;
	g_FontWhiteID[61] = Jester->CreateSprite("Font.bmp", 96, 60, 103, 69);if(Jester->Failed())return false;
	g_FontWhiteID[62] = Jester->CreateSprite("Font.bmp", 104, 60, 111, 69);if(Jester->Failed())return false;
	g_FontWhiteID[63] = Jester->CreateSprite("Font.bmp", 112, 60, 119, 69);if(Jester->Failed())return false;
	g_FontWhiteID[64] = Jester->CreateSprite("Font.bmp", 120, 60, 127, 69);if(Jester->Failed())return false;
	g_FontWhiteID[65] = Jester->CreateSprite("Font.bmp", 0, 70, 7, 79);if(Jester->Failed())return false;
	g_FontWhiteID[66] = Jester->CreateSprite("Font.bmp", 8, 70, 15, 79);if(Jester->Failed())return false;
	g_FontWhiteID[67] = Jester->CreateSprite("Font.bmp", 16, 70, 23, 79);if(Jester->Failed())return false;
	g_FontWhiteID[68] = Jester->CreateSprite("Font.bmp", 24, 70, 31, 79);if(Jester->Failed())return false;
	g_FontWhiteID[69] = Jester->CreateSprite("Font.bmp", 32, 70, 39, 79);if(Jester->Failed())return false;
	g_FontWhiteID[70] = Jester->CreateSprite("Font.bmp", 40, 70, 47, 79);if(Jester->Failed())return false;
	g_FontWhiteID[71] = Jester->CreateSprite("Font.bmp", 48, 70, 55, 79);if(Jester->Failed())return false;
	g_FontWhiteID[72] = Jester->CreateSprite("Font.bmp", 56, 70, 63, 79);if(Jester->Failed())return false;
	g_FontWhiteID[73] = Jester->CreateSprite("Font.bmp", 64, 70, 71, 79);if(Jester->Failed())return false;
	g_FontWhiteID[74] = Jester->CreateSprite("Font.bmp", 72, 70, 79, 79);if(Jester->Failed())return false;
	g_FontWhiteID[75] = Jester->CreateSprite("Font.bmp", 80, 70, 87, 79);if(Jester->Failed())return false;
	g_FontWhiteID[76] = Jester->CreateSprite("Font.bmp", 88, 70, 95, 79);if(Jester->Failed())return false;
	g_FontWhiteID[77] = Jester->CreateSprite("Font.bmp", 96, 70, 103, 79);if(Jester->Failed())return false;
	g_FontWhiteID[78] = Jester->CreateSprite("Font.bmp", 104, 70, 111, 79);if(Jester->Failed())return false;
	g_FontWhiteID[79] = Jester->CreateSprite("Font.bmp", 112, 70, 119, 79);if(Jester->Failed())return false;
	g_FontWhiteID[80] = Jester->CreateSprite("Font.bmp", 120, 70, 127, 79);if(Jester->Failed())return false;
	g_FontWhiteID[81] = Jester->CreateSprite("Font.bmp", 0, 80, 7, 89);if(Jester->Failed())return false;
	g_FontWhiteID[82] = Jester->CreateSprite("Font.bmp", 8, 80, 15, 89);if(Jester->Failed())return false;
	g_FontWhiteID[83] = Jester->CreateSprite("Font.bmp", 16, 80, 23, 89);if(Jester->Failed())return false;
	g_FontWhiteID[84] = Jester->CreateSprite("Font.bmp", 24, 80, 31, 89);if(Jester->Failed())return false;
	g_FontWhiteID[85] = Jester->CreateSprite("Font.bmp", 32, 80, 39, 89);if(Jester->Failed())return false;
	g_FontWhiteID[86] = Jester->CreateSprite("Font.bmp", 40, 80, 47, 89);if(Jester->Failed())return false;
	g_FontWhiteID[87] = Jester->CreateSprite("Font.bmp", 48, 80, 55, 89);if(Jester->Failed())return false;
	g_FontWhiteID[88] = Jester->CreateSprite("Font.bmp", 56, 80, 63, 89);if(Jester->Failed())return false;
	g_FontWhiteID[89] = Jester->CreateSprite("Font.bmp", 64, 80, 71, 89);if(Jester->Failed())return false;
	g_FontWhiteID[90] = Jester->CreateSprite("Font.bmp", 72, 80, 79, 89);if(Jester->Failed())return false;
	g_FontWhiteID[91] = Jester->CreateSprite("Font.bmp", 80, 80, 87, 89);if(Jester->Failed())return false;
	g_FontWhiteID[92] = Jester->CreateSprite("Font.bmp", 88, 80, 95, 89);if(Jester->Failed())return false;
	g_FontWhiteID[93] = Jester->CreateSprite("Font.bmp", 96, 80, 103, 89);if(Jester->Failed())return false;
	g_FontWhiteID[94] = Jester->CreateSprite("Font.bmp", 104, 80, 111, 89);if(Jester->Failed())return false;
	g_FontWhiteID[95] = Jester->CreateSprite("Font.bmp", 112, 80, 119, 89);if(Jester->Failed())return false;
	g_FontWhiteID[96] = Jester->CreateSprite("Font.bmp", 120, 80, 127, 89);if(Jester->Failed())return false;

	for(int k = 97; k < 128; k++)
	{
		g_FontID[k] = Jester->CreateSprite("Font.bmp", 7, 40, 15, 49);if(Jester->Failed())return false;
		g_FontWhiteID[k] = Jester->CreateSprite("Font.bmp", 7, 40, 15, 49);if(Jester->Failed())return false;
	}

	g_YoMama = Jester->CreateSprite("Data\\4e3Art.bmp", 0, 0, 58, 41);if(Jester->Failed())return false;
	
	g_PlayerFood[0] = Jester->CreateSprite("Data\\4e3Art.bmp", 60, 1, 85, 25);if(Jester->Failed())return false;
	g_PlayerFood[1] = Jester->CreateSprite("Data\\4e3Art.bmp", 85, 1, 109, 25);if(Jester->Failed())return false;
	g_PlayerFood[2] = Jester->CreateSprite("Data\\4e3Art.bmp", 109, 1, 135, 25);if(Jester->Failed())return false;
	g_PlayerFood[3] = Jester->CreateSprite("Data\\4e3Art.bmp", 135, 1, 164, 25);if(Jester->Failed())return false;
	g_PlayerFood[4] = Jester->CreateSprite("Data\\4e3Art.bmp", 60, 26, 85, 49);if(Jester->Failed())return false;
	g_PlayerFood[5] = Jester->CreateSprite("Data\\4e3Art.bmp", 85, 26, 109, 49);if(Jester->Failed())return false;
	g_PlayerFood[6] = Jester->CreateSprite("Data\\4e3Art.bmp", 109, 26, 139, 49);if(Jester->Failed())return false;
	g_FireWeapon = Jester->CreateSprite("Data\\4e3Art.bmp", 169, 5, 198, 17);if(Jester->Failed())return false;
	g_WindWeapon = Jester->CreateSprite("Data\\4e3Art.bmp", 205, 27, 234, 42);if(Jester->Failed())return false;
	g_WaterWeapon = Jester->CreateSprite("Data\\4e3Art.bmp", 141, 26, 168, 45);if(Jester->Failed())return false;
	g_EarthWeapon = Jester->CreateSprite("Data\\4e3Art.bmp", 175, 26, 195, 43);if(Jester->Failed())return false;
	
	g_Fire = Jester->CreateSprite("Data\\4e3Art.bmp", 0, 50, 60, 122);if(Jester->Failed())return false;
	g_Wind = Jester->CreateSprite("Data\\4e3Art.bmp", 139, 50, 200, 121);if(Jester->Failed())return false;
	g_Earth = Jester->CreateSprite("Data\\4e3Art.bmp", 0, 126, 94, 212);if(Jester->Failed())return false;
	g_Water = Jester->CreateSprite("Data\\4e3Art.bmp", 66, 57, 130, 120);if(Jester->Failed())return false;

	Player.Shooting = false;
	Player.x1 = 600;
	Player.y1 = 0;
	Player.x2 = 640;
	Player.y2 = 0;
	Player.Health = 100;

	Enemy.Shooting = false;
	Enemy.x1 = 30;
	Enemy.y1 = 250;
	Enemy.x2 = 70;
	Enemy.y2 = 300;
	Enemy.vx = 0;
	Enemy.vy = 0;
	Enemy.Health = 100;
	
	for(int t = 0; t < 100; t++)
	{
		EWeap[t].Active = false;
		EWeap[t].type = 0;
		EWeap[t].vx = 500;
		EWeap[t].vy = 60;
		EWeap[t].x1 = 0;
		EWeap[t].y1 = 0;
		EWeap[t].x2 = 0;
		EWeap[t].y2 = 0;
	}

	for(int j = 0; j < 200; j++)
	{
		PWeap[j].Active = false;
		PWeap[j].type = 0;
		PWeap[j].vx = -500;
		PWeap[j].vy = 0;
		PWeap[j].x1 = 0;
		PWeap[j].y1 = 0;
		PWeap[j].x2 = 0;
		PWeap[j].y2 = 0;
	}
	
	Game.Enemy = 1;
	Game.Difficulty = 310;
	Game.Win = false;
	Game.Lose = false;
	return true;
}

void GetInput()
{
	GetCursorPos(&Game.MousePos);
	if(GetAsyncKeyState(VK_ESCAPE) & 0x8000) PostQuitMessage(0);
}

