#include "Jester.h"

extern HINSTANCE g_hInstance;
extern HWND g_hwnd;

extern int g_FontID[128];
extern int g_FontWhiteID[128];

extern int g_YoMama;
extern int g_Fire;
extern int g_Wind;
extern int g_Water;
extern int g_Earth;

extern int g_PlayerFood[7];
extern int g_FireWeapon;
extern int g_WindWeapon;
extern int g_WaterWeapon;
extern int g_EarthWeapon;

LRESULT CALLBACK WndProc(HWND hwnd, UINT Message, WPARAM wParam, LPARAM lParam);
void GameMain();
void Render();
bool GameInit();
void GetInput();
void Collision();
void GameLogic();

class CPerson
{
public:
	float x1, y1, x2, y2;
	bool Shooting;
	int Health;
	float vx, vy;
};

class CProjectile
{
public:
	bool Active;
	float vx;
	float vy;
	float x1, y1, x2, y2;
	int type;
};

class CGame
{
public:
	POINT MousePos;
	int Enemy;
	int Difficulty;
	bool Win, Lose;
};

extern class CGame Game;
extern class CPerson Player;
extern class CPerson Enemy;
extern class CProjectile EWeap[100];
extern class CProjectile PWeap[200];



