#include "Jester.h"

class CSpriteList;
class CSpriteHead;
class CSpriteNode;
class CSpriteTail;

// CSpriteList
class CSpriteList
{
public:
	CSpriteList();
	~CSpriteList();
	void Insert(char *Texture, int SpriteID, int x1, int y1, int x2, int y2);
	IDirect3DVertexBuffer8* GetVertBuff(int ID);
	char* GetTextureString(int ID);
	
private:
	CSpriteHead *myHead;
};

// CSpriteHead
class CSpriteHead
{
public:
	CSpriteHead();
	~CSpriteHead();
	void Insert(char *Texture, int SpriteID, int x1, int y1, int x2, int y2);
	IDirect3DVertexBuffer8* GetVertBuff(int ID);
	char* GetTextureString(int ID);

private:
	CSpriteNode *myNext;
};

// CSpriteNode
class CSpriteNode
{
public:
	CSpriteNode();
	~CSpriteNode();
	CSpriteNode(char *Texture, int SpriteID, int x1, int y1, int x2, int y2, CSpriteNode* myNext);
	virtual IDirect3DVertexBuffer8* GetVertBuff(int ID);
	virtual char* GetTextureString(int ID);

private:
	char* myTextureName;
	int myID;
	CFVFVertex *myVertices;
	CSpriteNode *myNext;
	IDirect3DVertexBuffer8 *myVB;
	
};

// CSpriteTail
class CSpriteTail : public CSpriteNode
{
public:
	virtual char* GetTextureString(int ID);
};